Skip to main content
`Ctrl`+`K`

# MatMatTransposeSolve

Solves \(A X = B^T\), given a factored matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatTransposeSolve(Mat A, Mat Bt, Mat X)

Neighbor-wise Collective

## Input Parameters

- A - the factored matrix

- Bt - the transpose of right-hand-side matrix as a `MATDENSE`

## Output Parameter

- X - the result matrix (dense matrix)

## Note

For MUMPS, it only supports centralized sparse compressed column format on the host processor for right-hand side matrix. User must create `Bt` in sparse compressed row format on the host processor and call `MatMatTransposeSolve()` to implement MUMPS’ `MatMatSolve()`.

## See Also

Matrices, `Mat`, Matrix Factorization, `MatMatSolve()`, `MatMatSolveTranspose()`, `MatLUFactor()`, `MatCholeskyFactor()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatMatTransposeSolve_MUMPS() in src/mat/impls/aij/mpi/mumps/mumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages